from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XCertificate(XInterface, Protocol):
    def findCertificateExtension(self, oid: insequence< byte >) -> XCertificateExtension: ...
    def getCertificateUsage(self) -> int: ...
